/* JS Template - transblend.js - diaRice 0.3en/de - Tu, 25. Jun 2007 12:35 */
/* Copyright (c) 2007 Michael Daum,  visit http://webdaum.de/ */

// smoothly altering the displayed image:
function calendar_set_image() {

  var c_0_day = c_day<10?"0"+c_day:c_day;
  var i = c_month+1;
  var c_0_month = i<10?"0"+i:i;
  var c_image_resource = c_image_path+c_year+"/"+c_0_month+"/_"+c_0_day+".jpg";
  
  c_bg = "url("+c_image_resource+")";
  c_image = document.getElementById("image");
	
	// fade image to grey
	if (c_image.filters) {
		c_image.style.filter="alpha(opacity=10)";	
	} else {
		c_image.style.opacity = 0.1;
	}
	
	// set new image:
	c_image.style.backgroundImage=c_bg;
	
	// transblend image:	
	if (c_image.style.opacity) {
		c_image.style.opacity = 0;
	} else if (c_image.filters) {
		c_image.style.filter="alpha(opacity=0)";
	}
	fadevar = setInterval("calendar_transblend(c_image,c_bg)",50);
	
  document.getElementById("container").className="m-"+c_0_month;
	
	// preload:
  var test = new Image();
  test.src = c_image_resource;
  if(!test.complete) {
  	calendar_preload_month(c_0_month);
  }
}


/* Image transblend */
function calendar_transblend(c_image,c_bg) {

	if (c_image.style.opacity && c_image.style.opacity<1) {
		c_image.style.opacity = parseFloat(c_image.style.opacity)+0.1;
	} else if (c_image.filters&&c_image.filters.alpha.opacity<100) {
		c_image.filters.alpha.opacity+=10;
	} else if (window.fadevar) {
		clearInterval(fadevar);
		document.getElementById("image-container").style.backgroundImage=c_bg;
	}
}
